Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162323 - ALSA oes not configure ATI IXP 150 sound card correctly on Toshiba A75-S229
Summary: ALSA oes not configure ATI IXP 150 sound card correctly on Toshiba A75-S229
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 16:03 UTC by mark baatz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 08:19:58 UTC


Attachments (Terms of Use)

Description mark baatz 2005-07-02 16:03:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I am running FC4 on a Toshiba A75-S229 laptop, configured with an ATI IXP150 chipset.  Soundcard detection is correctly performed and snd-atiixp is displayed as the applicable driver. However, the soundcard test fails.  I've checked  alsi mixer settings including the master sound level and can not identify any reason.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.9rf-2.FC4

How reproducible:
Always

Steps to Reproduce:
1. Happens every boot, soundcard detection event 
2.
3.
  

Additional info:

Comment 1 Martin Stransky 2005-07-11 08:55:31 UTC
Does your card work properly after the installation?

Comment 2 mark baatz 2005-07-12 18:18:54 UTC
No.  In previous versions of FC, I was able to blacklist the driver in hotplug
and start the card later.  However, with FC4 this does not work either.  The
alsa mixer settings can be changed, but no sound is available and I've verified
that the card is not muted.  In windows there are no problems using the
soundcard either.

In summary, the soundcard test executes, but no sound is ever heard, in spite of
the fact that the correct driver is identified.

Comment 3 Martin Stransky 2005-07-18 12:59:23 UTC
Have you tried aplay? A problem may be with some channels in mixer, it can be
muted or unmuted and it may cause a trouble...



Note You need to log in before you can comment on or make changes to this bug.